NETBEANS(1)

NAME
NetBeans - Java IDE

SYNOPSIS

netbeans [ options ] [ files ]

PARAMETERS

options
    Command-line options.

files
    Files to be opened in NetBeans IDE.

DESCRIPTION
NetBeans is a cross-platform IDE written in Java. It supports development in Java, and support for other languages can be added. The whole IDE is built around a core framework with APIs, and features are implemented in the form of plugin modules. This clean, modular architecture makes NetBeans a good platform for building development tools and custom IDEs.

OPTIONS

General options:

--help
    List available command line options

--jdkhome <path>
    Path to JDK home used to run IDE

-J<jvm_option>
    Pass <jvm_option> to JVM

--cp:p <classpath>
    Prepend <classpath> to classpath

--cp:a <classpath>
    Append <classpath> to classpath

Core options:

--laf <LaF classname>
    Use given LookAndFeel class instead of the default

--fontsize <size>
    Set the base font size of the user interface, in points

--locale <language[:country[:variant]]>
    Use specified locale

--userdir <path>
    Use specified directory to store user settings

Module reload options:

--reload /path/to/module.jar
    Installs or reinstalls a module JAR file.

OpenFile module options:

--open FILE
    Open FILE.

--open FILE:LINE
    Open FILE at line LINE (starting from 1).

AUTHOR
NetBeans was written by the NetBeans Community <http://www.netbeans.org/>.

This manual page was written by Marek Slama <mslama@netbeans.org>, for the Debian project (but may be used by others).